import { axios } from '@/utils/request'

// 列表查询
export const getBannerSettingList = (params) => {
  const url = `banner/query`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 更改状态
export const changeStatus = (params) => {
  const url = `banner/enable/${params.id}/${params.flag}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}

// 确认保存
export const saveItem = (params) => {
  const url = `banner/save`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 删除
export const deleteItem = (params) => {
  const url = `banner/del/${params.id}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}
